### Method

# Ide Context set_title

#### Declaration

    void
    ide_context_set_title (
      IdeContext* self,
      const gchar* title
    )

#### Description

Sets the `IdeContext:title` property. This is used by various components to show the user the name of the project. This may include the omnibar and the window title.

Available since: | 3.32

Sets property | `Ide.Context:title`

#### Parameters

`title` | `const gchar*`
| The title for the project or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.